
From: Jun Komuro <komurojun-mbn@nifty.com>

Add new pcmcia id_table for fmvj18x_cs and serial_cs.
(TDK multi-function card (NetPartner9610 and MobileNetworker3200))

Signed-off-by: Jun Komuro <komurojun-mbn@nifty.com>
Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/pcmcia/fmvj18x_cs.c |    6 +++++-
 drivers/serial/serial_cs.c      |    2 ++
 include/pcmcia/ciscode.h        |    2 ++
 3 files changed, 9 insertions(+), 1 deletion(-)

diff -puN drivers/net/pcmcia/fmvj18x_cs.c~pcmcia-more-ids-for-tdk-multifunction-cards drivers/net/pcmcia/fmvj18x_cs.c
--- 25/drivers/net/pcmcia/fmvj18x_cs.c~pcmcia-more-ids-for-tdk-multifunction-cards	2005-06-25 01:17:03.000000000 -0700
+++ 25-akpm/drivers/net/pcmcia/fmvj18x_cs.c	2005-06-25 01:17:03.000000000 -0700
@@ -435,7 +435,9 @@ static void fmvj18x_config(dev_link_t *l
 		pcmcia_get_status(handle, &status);
 		if (status.CardState & CS_EVENT_3VCARD)
 		    link->conf.Vcc = 33; /* inserted in 3.3V slot */
-	    } else if (le16_to_cpu(buf[1]) == PRODID_TDK_GN3410) {
+	    } else if (le16_to_cpu(buf[1]) == PRODID_TDK_GN3410
+			|| le16_to_cpu(buf[1]) == PRODID_TDK_NP9610
+			|| le16_to_cpu(buf[1]) == PRODID_TDK_MN3200) {
 		/* MultiFunction Card */
 		link->conf.ConfigBase = 0x800;
 		link->conf.ConfigIndex = 0x47;
@@ -783,6 +785,8 @@ static struct pcmcia_device_id fmvj18x_i
 	PCMCIA_DEVICE_PROD_ID1("PCMCIA MBH10302", 0x8f4005da),
 	PCMCIA_DEVICE_PROD_ID1("UBKK,V2.0", 0x90888080),
 	PCMCIA_PFC_DEVICE_PROD_ID12(0, "TDK", "GlobalNetworker 3410/3412", 0x1eae9475, 0xd9a93bed),
+	PCMCIA_PFC_DEVICE_MANF_CARD(0, 0x0105, 0x0d0a),
+	PCMCIA_PFC_DEVICE_MANF_CARD(0, 0x0105, 0x0e0a),
 	PCMCIA_DEVICE_NULL,
 };
 MODULE_DEVICE_TABLE(pcmcia, fmvj18x_ids);
diff -puN drivers/serial/serial_cs.c~pcmcia-more-ids-for-tdk-multifunction-cards drivers/serial/serial_cs.c
--- 25/drivers/serial/serial_cs.c~pcmcia-more-ids-for-tdk-multifunction-cards	2005-06-25 01:17:03.000000000 -0700
+++ 25-akpm/drivers/serial/serial_cs.c	2005-06-25 01:17:03.000000000 -0700
@@ -785,6 +785,8 @@ static struct pcmcia_device_id serial_id
 	PCMCIA_PFC_DEVICE_MANF_CARD(1, 0x016c, 0x0081),
 	PCMCIA_PFC_DEVICE_MANF_CARD(1, 0x021b, 0x0101),
 	PCMCIA_PFC_DEVICE_MANF_CARD(1, 0x08a1, 0xc0ab),
+	PCMCIA_PFC_DEVICE_MANF_CARD(1, 0x0105, 0x0d0a),
+	PCMCIA_PFC_DEVICE_MANF_CARD(1, 0x0105, 0x0e0a),
 	PCMCIA_PFC_DEVICE_PROD_ID123(1, "MEGAHERTZ", "CC/XJEM3288", "DATA/FAX/CELL ETHERNET MODEM", 0xf510db04, 0x04cd2988, 0x46a52d63),
 	PCMCIA_PFC_DEVICE_PROD_ID123(1, "MEGAHERTZ", "CC/XJEM3336", "DATA/FAX/CELL ETHERNET MODEM", 0xf510db04, 0x0143b773, 0x46a52d63),
 	PCMCIA_PFC_DEVICE_PROD_ID123(1, "MEGAHERTZ", "EM1144T", "PCMCIA MODEM", 0xf510db04, 0x856d66c8, 0xbd6c43ef),
diff -puN include/pcmcia/ciscode.h~pcmcia-more-ids-for-tdk-multifunction-cards include/pcmcia/ciscode.h
--- 25/include/pcmcia/ciscode.h~pcmcia-more-ids-for-tdk-multifunction-cards	2005-06-25 01:17:03.000000000 -0700
+++ 25-akpm/include/pcmcia/ciscode.h	2005-06-25 01:17:03.000000000 -0700
@@ -112,6 +112,8 @@
 
 #define MANFID_TDK			0x0105
 #define PRODID_TDK_CF010		0x0900
+#define PRODID_TDK_NP9610		0x0d0a
+#define PRODID_TDK_MN3200		0x0e0a
 #define PRODID_TDK_GN3410		0x4815
 
 #define MANFID_TOSHIBA			0x0098
_
